#!/bin/sh

function do_start {
   cd $HOME || return 1
   rm -f $pidFile
   makeFileWritable $pidFile || return 1
   makeFileWritable $serviceLogFile || return 1
   local cmd="setsid $javaCommandLine >$serviceLogFile 2>&1 & echo \$! >$pidFile"
   current=`whoami`
   local status
   if [ $current == $serviceUser ]; then
        status=`$SHELL -c "$cmd" || echo "failed"`
   else
        status=`sudo -u $serviceUser $SHELL -c "$cmd" || echo "failed"`
   fi
   if [ "$status" == "failed" ]; then return 1; fi
   return 0; }


function do_stop {
   kill $servicePid || return 1
   return 0; }

