#!/bin/bash
NAME=`basename $0`
SERVICE=${NAME#update-}
[ -e /etc/init.d/javad-$SERVICE ] || die "missing javad script: /etc/init.d/javad-$SERVICE"
[ -z $1 ] || SERVICE=${SERVICE}-${$1}
echo "Check if package is available"
STATUS=`yum info $SERVICE > /dev/null 2>&1 || echo 'failed'`
[ "$STATUS" = "failed" ] && die "$SERVICE could not be found"

echo "start yum update for $SERVICE"
yum -y -v update $SERVICE